<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>待下订单</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="decorator" content="base" />
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/static/css/reset.css" />
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/formSelects-v4.css" media="all">
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/lib/font/iconfont.css" />
</head>
<body>

<div class="layui-fluid">
    <div class="layui-form layui-card">
        <div class="layui-tab layui-tab-brief">
            <ul class="layui-tab-title">
                <sfTags:pagePermission authFlag="XMGL_DXDD_DXDD_T" html='<a href="${ctx}/customerEntry/waitOrder"><li class="layui-this">赊销下单</li></a>'/>
                <button class="layui-btn f-r mt-10 mr-15 pl-10 pr-10 " type="reset"  onclick="reset()" >
                    <i class="layui-icon fs-12">&#xe9aa;</i>
                    重置
                </button>
                <button class="layui-btn f-r mt-10 mr-15 pl-10 pr-10" id="searchBtn" lay-submit lay-filter="LAY-user-back-search"><i class="layui-icon fs-12">&#xe615;</i>查询</button>
            </ul>
        </div>
        <div class="layui-card-body layuiadmin-card-header-auto" id="searchForm">
            <div class="layui-form-item">
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">产品编号：</label>
                    <div class="layui-input-block" >
                        <select name="projectCode" id="projectId">
                            <option value="">请选择</option>
                            <c:forEach items="${projectList}" var="project">
                                <option value="${project.columns.id}">${project.columns.code}</option>
                            </c:forEach>
                        </select>
                    </div>
                </div>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">产品名称：</label>
                    <div class="layui-input-block">
                        <input type="text" name="projectName" class="layui-input">
                    </div>
                </div>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">电站编码：</label>
                    <div class="layui-input-block">
                        <input type="text" name="powerStationCode" id="powerStationCode" class="layui-input">
                    </div>
                </div>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">业主姓名：</label>
                    <div class="layui-input-block">
                        <input type="text" name="tenantName" id="tenantName" class="layui-input">
                    </div>
                </div>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">安装地址：</label>
                    <div class="layui-input-block">
                        <input type="text" name="tenantAddress" id="tenantAddress" class="layui-input">
                    </div>
                </div>
                <%--<div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">安装方式：</label>
                    <div class="layui-input-block">
                        <select name="installWay" id="installWay">
                            <option value="">请选择</option>
                            <c:forEach items="${installWays}" var="installWay">
                                <option value="${installWay.columns.id}">${installWay.columns.name}</option>
                            </c:forEach>
                        </select>
                    </div>
                </div>--%>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">屋顶类型：</label>
                    <div class="layui-input-block" >
                        <select name="roofType" id="roofType">
                            <option value="">请选择</option>
                            <option value="平屋顶">平屋顶</option>
                            <option value="斜屋顶">斜屋顶</option>
                        </select>
                    </div>
                </div>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">匹配方案：</label>
                    <div class="layui-input-block" >
                        <select name="plan" id="plan">
                            <option value="">请选择</option>
                            <c:forEach items="${plans}" var="plan">
                                <option value="${plan.columns.id}">${plan.columns.name}</option>
                            </c:forEach>
                        </select>
                    </div>
                </div>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">备注：</label>
                    <div class="layui-input-block">
                        <input type="text" name="remarks" id="remarks" class="layui-input" >
                    </div>
                </div>
                <c:if test="${user.userType ne '6' && user.userType ne '7'}">

                    <div class="layui-col-lg2 layui-col-sm3">
                        <label class="layui-form-label">标记类型：</label>
                        <div class="layui-input-block" xm-select="flag" xm-select-type="1" xm-select-height="25px" xm-select-show-count="6">
                            <select name="flag" id="flag">
                                <option value="">请选择</option>
                                <c:forEach items="${typeList}" var="flag">
                                    <option value="${flag.columns.id}" >${flag.columns.name}</option>
                                </c:forEach>
                            </select>
                        </div>
                    </div>
                </c:if>
                <div class="layui-col-lg4 layui-col-sm6">
                    <label class="layui-form-label">匹配时间：</label>
                    <div class="layui-input-block">
                        <div class="layui-col-xs5">
                                <input type="text" readonly name="matchTimeMin" class="layui-input" id="endStartTime" placeholder="开始日期">
                        </div>
                        <div class="layui-col-xs2 text-c lh-30">
                            —
                        </div>
                        <div class="layui-col-xs5">
                            <input type="text" readonly name="matchTimeMax" class="layui-input" id="endEndTime" placeholder="结束日期">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="layui-card">
        <div class="layui-card-body">
            <table class="layui-hide" lay-skin="row" id="test" lay-filter="test"></table>
            <script type="text/html" id="toolbarDemo">
                <div class="layui-btn-container">
                   <%-- <sfTags:pagePermission authFlag="XMGL_DXDD_DXDD_SQCS_B" html='<button class="layui-btn layui-btn-sm" lay-event="retrialBtn" id="retrialBtn"><i class="layui-icon layui-icon-ok-circle"></i>申请重审</button>'/>--%>
                    <sfTags:pagePermission authFlag="XMGL_DXDD_DXDD_PLXD_B" html='<button class="layui-btn layui-btn-sm" lay-event="batchOrder" id="batchOrderBtn"><i class="layui-icon layui-icon-ok-circle"></i>批量下单</button>'/>
                      <%--<c:if  test="${user.userType eq '6' || user.userType eq '7'}">
                          <sfTags:pagePermission authFlag="XMGL_XMGL_XXDJ_YQQY_B" html='<button class="layui-btn layui-btn-sm" lay-event="yqqyBtn" id="yqqyBtn"><i class="layui-icon layui-icon-ok-circle"></i>邀请签约</button>'/>
                      </c:if>--%>
                       <%--<sfTags:pagePermission authFlag="XMGL_DXDD_DXDD_DC_B" html='<button class="layui-btn layui-btn-sm" lay-event="exportBut" id="exportBut"><i class="layui-icon layui-icon-export"></i>导出物料</button>'/>--%>
                    <button class="layui-btn layui-btn-sm" lay-event="export" id="exportBtn"><i class="layui-icon layui-icon-export"></i>导出列表</button>
                </div>
            </script>
        </div>
    </div>
</div>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/lib/formSelects-v4.js"></script>
<script>
    var entrycount=0;
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'tableExt', 'jquery', 'layer','laypage','laydate','form'], function(){
        //layui.use(['table','layer','laypage','laydate','form'], function(){
        $ = layui.$;
        tableExt = layui.tableExt;
        layer = layui.layer;
        laypage = layui.laypage;
        laydate = layui.laydate;
        form = layui.form;
        table = tableExt.getLayTable();

        var type = "${user.userType}";

        //开始日期
        var endStartTime = laydate.render({
            elem: '#endStartTime'
            /* ,type: 'datetime'*/
            ,done: function(value, date){
                //更新结束日期的最小日期
                endEndTime.config.min = lay.extend({}, date, {
                    month: date.month - 1
                });
                //自动弹出结束日期的选择器
                endEndTime.config.elem[0].focus();
            }
        });
        //结束日期
        var endEndTime = laydate.render({
            elem: '#endEndTime'
            /* ,type: 'datetime'*/
            ,done: function(value, date){
                //更新开始日期的最大日期
               /* endStartTime.config.max = lay.extend({}, date, {
                    month: date.month - 1
                });*/
            }
        });

        tableExt.render({
            elem: '#test'
            , title:'待下订单'
            , height: 'full-180'
            , toolbar: '#toolbarDemo'
            , defaultToolbar: false
            , limits : [ 20, 50, 100 ]
            , limit:20
            , page : true //开启分页
            , url: '${ctx}/customerEntry/ajaxForWaitOrder?status=3'
            , cols: [[
                {type: 'numbers',fixed:'left',title:'序号'}
                ,{field : 'id', minWidth : '4%',checkbox : true,align : 'center',rowspan:'2' , fixed: 'left'}
                , {field: 'power_station_code', title: '电站编码',minWidth: 200,fixed: 'left',  sort: false, align: 'center',exportable:true, templet: function(d){
                        var flag = d.flag;
                        var html="";
                        <c:if test="${user.userType ne '6' && user.userType ne '7'}">
                        if(isBlank(flag)){//
                            html +="<i class=\"icon iconfont\" style=\"color: #8D8D8D\" onclick=\"customerEntryFlag('"+d.id+"')\">&#xe6b0;</i>";
                        }else{
                            html +="<i class=\"icon iconfont \" style=\"color: "+d.flag_type+";\" onclick=\"customerEntryFlag('"+d.id+"')\">&#xe6b0;</i>";
                        }
                        </c:if>
                         html +=  '<a href="#" class="layui-table-link" onclick="psDetail(\''+d.id+'\')">'+d.power_station_code+'</a>';
                        return html;
                    }}
             /*   , {field: 'first_apply_status', title: '进件状态', minWidth: 130, align: 'center', exportable: true
                    , templet:function(d){
                        return applyStatusStr(d.first_apply_status);
                    }
                    , expFormat: function(d){
                        return applyStatusStr(d.first_apply_status);
                    }
                }*/
                , {
                    field: 'planName',
                    title: '匹配方案',
                    minWidth: 100,
                    sort: false,
                    align: 'center',
                    exportable: true,
                    templet: function (d) {
                        if (d.scheme_type == '1') {
                            return '<a href="#" class="layui-table-link" onclick="planDetail(\'' + d.id + '\')">' + d.planName + '</a>';
                        } else if (isBlank(d.planName)) {
                            return '<a href="#" class="layui-table-link" onclick="planDetail(\'' + d.id + '\')">查看方案</a>';
                        } else {
                            return '<a href="#" class="layui-table-link" onclick="planDetail(\'' + d.id + '\')">' + d.planName + '</a>';
                        }

                    }
                }, {
                    field: 'province',
                    title: '项目名称',
                    minWidth: '180',
                    sort: false,
                    align: 'center',
                    exportable: true,
                    templet: function (d) {
                        return d.province + '' + d.area + d.tenant_name + d.design_capacity / 1000 + "KW光伏电站";
                    },
                    expFormat: function (d) {
                        return d.province + '' + d.area + d.tenant_name + d.design_capacity / 1000 + "KW光伏电站";
                    }
                }
                , {field: 'projectCode', title: '产品编号', minWidth: 130, sort: false, align: 'center', exportable: true}
                , {field: 'projectName', title: '产品名称', minWidth: 130, sort: false, align: 'center', exportable: true}
                , {
                    field: 'examine_remarks',
                    title: '审核备注',
                    minWidth: 130,
                    sort: false,
                    align: 'center',
                    exportable: true
                }

                , {
                    field: 'sign_status',
                    title: '签约状态',
                    minWidth: '120',
                    sort: false,
                    align: 'center',
                    exportable: true,
                    templet: function (d) {
                        if (d.sign_status === '1') {
                            return "待签约";
                        } else if (d.sign_status === '2') {
                            return "已签约";
                        } else if (d.sign_status === '3') {
                            return "待审核";
                        } else if (d.sign_status === '4') {
                            return "签署驳回";
                        } else if (d.sign_status === '5') {
                            return "已审核";
                        } else {
                            return "--";
                        }
                    },
                    expFormat: function (d) {
                        if (d.sign_status === '1') {
                            return "待签约";
                        } else if (d.sign_status === '2') {
                            return "已签约";
                        } else if (d.sign_status === '3') {
                            return "待审核";
                        } else if (d.sign_status === '4') {
                            return "签署驳回";
                        } else if (d.sign_status === '5') {
                            return "已审核";
                        } else {
                            return "--";
                        }
                    }
                }
                , {field: 'tenant_name', title: '业主姓名', minWidth: 150, sort: false, align: 'center', exportable: true}
                , {field: 'mobile', title: '联系电话', minWidth: 130, sort: false, align: 'center', exportable: true}
                , {field: 'address', title: '安装地址', minWidth: 130, sort: false, align: 'center', exportable: true}
                , {field: 'roof_type', title: '屋顶类型', minWidth: 130, sort: false, align: 'center', exportable: true}
                , {field: 'angle', title: '朝向角度', minWidth: 130, sort: false, align: 'center', exportable: true}
                , {field: 'distance', title: '估算并网距离（米）', minWidth: 180, sort: false, align: 'center', exportable: true}
                /*, {
                    field: 'hire_status',
                    title: '租赁状态',
                    minWidth: 130,
                    sort: false,
                    align: 'center',
                    exportable: true,
                    templet: function (d) {
                        if (d.hire_status == '2') {
                            return "否";
                        } else {
                            return "是";
                        }
                    },
                    expFormat: function (d) {
                        if(d.status=='2'){
                            return "否";
                        }else{
                            return "是";
                        }
                    }}*/
                , {
                    field: 'product_line_name',
                    title: '产品线',
                    minWidth: '150',
                    sort: false,
                    align: 'center',
                    exportable: true
                }
                , {
                    field: 'product_line',
                    title: '业务属性',
                    minWidth: '100',
                    sort: false,
                    align: 'center',
                    exportable: true,
                    templet: function (d) {
                        return transAttribute(d.product_line);
                    },
                    expFormat: function (d) {
                        return transAttribute(d.product_line);
                    }
                }
                , {
                    field: 'project_company_name',
                    title: '所属项目公司',
                    minWidth: '150',
                    sort: false,
                    align: 'center',
                    exportable: true
                }
                , {field: 'remarks', title: '备注',minWidth: 150, sort: false, align: 'center',exportable:true}
                , {field: 'examine_time', title: '匹配时间',minWidth: 180, sort: false, align: 'center',exportable:true}
            ]]
            ,exportOpt:{                           //导出选项配置
                ele:'#exportBtn',                   //导出的Dom元素
                headerTitle: '待下订单',             //excel表格的标题
                pageData:false,                     //true:导出的数据为页面数据，false:最大导出maxAmount条数据
                maxAmount: 1000,                    //当pageData为false生效
                fileName: '待下订单',
                where: function (){                 //当pageData为false时生效，过滤的条件
                    return _serializeJson($("#searchForm"));
                }
            }
            ,done: function(res, curr, count){
                //得到数据总量

                entrycount = count;

            }

        });

        function transAttribute(productLineAttribute) {
            switch (productLineAttribute) {
                case '1':
                    return '纯租25年业务';
                case '2':
                    return '经营性租赁';
                case '3':
                    return '融资租赁';
                case '4':
                    return '光伏贷';
                case '5':
                    return '全款';
                case '6':
                    return '其他';
                default:
                    return '';
            }
        }

        table.on('toolbar(test)',function(obj) {
            var checkStatus = table.checkStatus(obj.config.id);
            if (obj.event === 'batchOrder') {
                if(checkStatus.data.length < 1){
                    layer.msg("请先选择数据",{icon:5,anim:6});
                    return;
                }
                var  checkpros=false;
                var ids = [];
                for(var i=0; i<checkStatus.data.length; i++){
                    ids.push(checkStatus.data[i].id);
                    var firstApplyStatus=checkStatus.data[i].first_apply_status;
                    if(firstApplyStatus !='APPROVED'){
                        checkpros = true;
                        layer.msg("第"+(i+1)+"条数据， 进件审核通过后，才能赊销下单！",{icon:5,anim:6});
                        return;
                    }
                    if(checkStatus.data[i].create_trader_id != '${user.traderId}'){
                        layer.msg("第"+(i+1)+"条数据,没有下单权限!",{icon:5,anim:6});
                        return;
                    }

                }
                if(checkpros){
                    layer.msg("选择的数据中含有不可操作的项目信息",{icon:5,anim:6});
                    return;
                }
                layer.open({
                    type: 2,
                    content: "${ctx}/customerEntry/batchPage?ids=" + ids,
                    title: "批量下单",
                    area: ["70%", "80%"]
                });

            }else  if (obj.event === 'retrialBtn') {
                if(checkStatus.data.length < 1){
                    layer.msg("请先选择数据",{icon:5,anim:6});
                    return;
                }
                var ids = [];
                var checkpro=false;
                for(var i=0; i<checkStatus.data.length; i++){
                    ids.push(checkStatus.data[i].id);
                    if(_checkProjectCode(checkStatus.data[i].projectCode)){
                        checkpro = true;
                        layer.msg("选择的数据中含有不可操作的项目信息",{icon:5,anim:6});
                        return;
                    }
                }
                if(checkpro){
                    layer.msg("选择的数据中含有不可操作的项目信息",{icon:5,anim:6});
                    return;
                }
                layer.open({
                    type: 2,
                    content: "${ctx}/customerEntry/entryRetrialDetail?ids="+ids
                    ,title: "申请重审"
                    ,area:["35%","45%"]
                });


            }else  if (obj.event === 'yqqyBtn') {
                if(checkStatus.data.length < 1){
                    layer.msg("请先选择数据",{icon:5,anim:6});
                    return;
                }
                if(checkStatus.data.length > 1){
                    layer.msg("只能选择一条数据",{icon:5,anim:6});
                    return;
                }
                var id = checkStatus.data[0].id;
                var signStatus = checkStatus.data[0].sign_status;
                if (!(signStatus=='0' || signStatus =='5' || signStatus=='6')) {
                    layer.msg("只能选择合同签署状态是未邀请的数据",{icon:5,anim:6});
                    return;
                }
                if(checkStatus.data[0].product_line != "1"){
                    layer.msg("纯租25年业务才可以邀请签约",{icon:5,anim:6});
                    return;
                }

                layer.confirm('确认邀请农户签约？', {
                    icon:3,
                    btn:['确定','取消'] //按钮
                }, function(){
                    $.ajax({
                        type: 'GET',
                        url: '${ctx}/customerEntry/inviteSignQr',
                        contentType: 'application/json',
                        data: {
                            id:id
                        },
                        success: function(data){
                            if (data.code === '200') {
                                layer.msg('操作成功', {time: 2000});
                                searchOrder();
                            }else if(data.code === '501'){
                                layer.msg(data.errMsg, {time: 2500});
                            }else if(data.code === '400'){
                                layer.msg(data.errMsg, {time: 2500});
                            }else {
                                layer.msg(data.errMsg, {time: 1000});
                            }
                        }
                    })
                });


            }  else  if (obj.event === 'exportBut') {
                if(entrycount<1){
                    layer.msg('当前无数据导出', {time: 1000});
                    return ;
                }
                    let hideSubmitForm = document.createElement("form");
                    hideSubmitForm.id = "tempForm1";
                    hideSubmitForm.method = "post";
                    hideSubmitForm.action = "${ctx}/excel/doExportUserExcel";
                    hideSubmitForm.target = "_blank";
                    hideSubmitForm.appendChild(createHideInput("status", "3"));
                    if ('${user.userType}' == '6') {
                        hideSubmitForm.appendChild(createHideInput("traderId", "${trader.id}"));
                    }
                    hideSubmitForm.appendChild(createHideInput("projectId", isBlank($("#projectId").val())?"":$("#projectId").val()));
                    hideSubmitForm.appendChild(createHideInput("powerStationCode", isBlank($("#powerStationCode").val())?"":$("#powerStationCode").val()));
                    hideSubmitForm.appendChild(createHideInput("tenantName", $("#tenantName").val()));
                    hideSubmitForm.appendChild(createHideInput("tenantAddress", $("#tenantAddress").val()));
                    hideSubmitForm.appendChild(createHideInput("installWay", $("#installWay").val()));
                    hideSubmitForm.appendChild(createHideInput("roofType", isBlank($("#roofType").val())?"":$("#roofType").val()));
                    hideSubmitForm.appendChild(createHideInput("flag", isBlank($("#flag").val())?"":$("#flag").val()));
                    hideSubmitForm.appendChild(createHideInput("plan", $("#plan").val()));
                    hideSubmitForm.appendChild(createHideInput("remarks", $("#remarks").val()));
                    hideSubmitForm.appendChild(createHideInput("matchTimeMin", $("#endStartTime").val()));
                    hideSubmitForm.appendChild(createHideInput("matchTimeMax", $("#endEndTime").val()));
                    hideSubmitForm.addEventListener('onsubmit', function(){
                       // this.openDownloadWindow(name);
                    });
                    document.body.appendChild(hideSubmitForm);
                    hideSubmitForm.submit();
                    document.body.removeChild(hideSubmitForm);

              //  window.open("${ctx}/excel/doExportUserExcel?status=3&"+$("#searchForm"))
            }
        });

       function  createHideInput(name, value){
            let hideInput = document.createElement("input");
            hideInput.type = "hidden";
            hideInput.name = name;
            hideInput.value = value;
            return hideInput;
        };

        //监听搜索
        form.on('submit(LAY-user-back-search)', function(data){
            var field = data.field;
            //执行重载
            tableExt.reload('test', {
                where: field,
                page:{
                    curr:1
                },done: function (res, curr, count) {
                    entrycount = count;
                    console.log("zongshu ::" +
                        ""+entrycount)
                }
            });
            table.render();
            return false;
        });
        $('input').on('keydown', function(event){
            if(event.keyCode == 13){
                //执行相关操作
                $("#searchBtn").click();
            }
        });
    })


    function customerEntryFlag(id){
        layer.open({
            type: 2,
            content: "${ctx}/customerEntry/getFlagcustomerEntry?customerEntryId="+id //这里content是一个DOM，注意：最好该元素要存放在body最外层，否则可能被其它的相对元素所影响
            ,title: "标记项目"
            ,area:["300px","260px"]
            ,closeBtn: 0
            ,shadeClose:true

        });
    }

    function searchOrder() {
        //执行重载
        table.reload('test', {
            where: function (){
                return _serializeJson($("#searchForm"));
            }
        });
    }

    //查看详情
    function psDetail(id){
        layer.open({
            type: 2
            , title: '电站详情'
            , content: '${ctx}/customerEntry/entryDetail?entryId=' + id
            , area: ['100%', '100%']
            , yes: function(index, layero){

            }
        });
    }

    function planDetail(entryId){
        layer.open({
            type: 2,
            title: '查看',
            content: '${ctx}/planManage/viewMatchedPlan?entryId=' + entryId,
            area: ['80%','80%']
        });
    }

    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }

    function reset(){
        layui.form.render();
        $("#searchForm").find("select").val("");
        $("#searchForm").find("input").val("");
    }

    function lookInputEntryStatus(id,type){
        layer.open({
            type: 2,
            title: '查看进件状态',
            content: '${ctx}/customerEntryExtra/lookInputEntryStatus?id='+id+'&type='+type,
            area : [ '650px', '450px' ],
            cancel:function(){
                table.reload('test'); //数据刷新
            }
        });
    }

    function  applyStatusStr(first_apply_status){
        if(first_apply_status == 'NEW'){
            return "待审批";
        }else if(first_apply_status == 'APPROVING'){
            return "审批中";
        }else if(first_apply_status == 'APPROVED'){
            return "审批通过";
        }else if(first_apply_status == 'REJECTED'){
            return "审批拒绝";
        }else if(first_apply_status == 'CLOSED'){
            return "取消";
        }else if(first_apply_status == 'APPROVED_RETURN'){
            return "退回";
        }else if(first_apply_status == 'CANCEL'){
            return "撤回";
        }else {
            return "";
        }
    }
</script>
</body>
</html>

